package jp.sourceforge.shovel.entity.impl;

import jp.sourceforge.shovel.StatusType;
import jp.sourceforge.shovel.entity.IDirectMessage;
import jp.sourceforge.shovel.entity.IFavorite;
import jp.sourceforge.shovel.entity.IFriendship;
import jp.sourceforge.shovel.entity.IStatus;
import jp.sourceforge.shovel.entity.IStatusWrapper;

public class StatusWrapperImpl implements IStatusWrapper {
    IStatus status_;
    IDirectMessage directMessage_;
    IFavorite favorite_;
    IFriendship friend_;
    boolean open_;
    String text_;
    StatusType statusType_;
    String foreignKey_;
    
    public StatusWrapperImpl() {
    }
    public IDirectMessage getDirectMessage() {
        return directMessage_;
    }
    public void setDirectMessage(IDirectMessage directMessage) {
        directMessage_ = directMessage;
    }
    public IFavorite getFavorite() {
        return favorite_;
    }
    public void setFavorite(IFavorite favorite) {
        favorite_ = favorite;
    }
    public IFriendship getFriend() {
        return friend_;
    }
    public void setFriend(IFriendship friend) {
        friend_ = friend;
    }
    public boolean isOpen() {
        return open_;
    }
    public void setOpen(boolean open) {
        open_ = open;
    }
    public IStatus getStatus() {
        return status_;
    }
    public void setStatus(IStatus status) {
        status_ = status;
    }
    public String getText() {
        return text_;
    }
    public void setText(String text) {
        text_ = text;
    }
    public StatusType getStatusType() {
        return statusType_;
    }
    public void setStatusType(StatusType statusType) {
        statusType_ = statusType;
    }
    public String getForeignKey() {
        return foreignKey_;
    }
    public void setForeignKey(String foreignKey) {
        foreignKey_ = foreignKey;
    }
}
